﻿'
'Name: MHA ConVert
'
'Author: D.V. Allred (Analytics CIS, 28/Aug/2015)
'
'Description: Convert oil & gas engineering units of measure
'             Based on original by DVA circa 2002
'
'Assumptions: None
'
'Mod History
'
'     Vers Who      When  Mod
'  ------- ---- --------- ---------------------------------------------------------
'    3.0.1 DVA  28-Aug-15 Release to MHA
'
Public Class frmMain

    Private Sub LinkLabel1_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        Process.Start("http://www.mhausa.com/")
    End Sub

    Private Sub LinkLabel2_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel2.LinkClicked
        Process.Start("http://www.mhausa.com/index.php/resources/software")
    End Sub

    Private Sub LinkLabel3_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel3.LinkClicked
        Process.Start("http://www.mhausa.com/index.php/contact-form")
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs)
        LabelHide(Me.tpVR, "lblVRate", 17, False)
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs)
        LabelHide(Me.tpVR, "lblVRate", 17, True)
    End Sub

    Private Sub LabelHide(tpIN As TabPage, nameIN As String, maxIN As Int32, visIN As Boolean)
        Dim ii As Int32
        Dim idx As Int32

        For ii = 0 To maxIN
            idx = tpIN.Controls.IndexOfKey(nameIN & ii)
            tpIN.Controls(idx).Visible = visIN
        Next

    End Sub

    Private Sub cmdVRateCalculate_Click(sender As Object, e As EventArgs) Handles cmdVRateCalculate.Click
        Dim X As Double

        LabelHide(Me.tpVR, "lblVRate", 17, True)

        X = Val(txtVRate.Text)
        txtVRate.Text = Format(X, "General Number")
        If optVRateAcreFeet.Checked Then
        ElseIf optVRateBarrel.Checked Then
            X = X / 7758.368
        ElseIf optVRateFeet3.Checked Then
            X = X / 43560
        ElseIf optVRateGallon.Checked Then
            X = X / 7758.368 / 42
        ElseIf optVRateLiter.Checked Then
            X = X * 0.0000008107131
        ElseIf optVRateMeter3.Checked Then
            X = X * 0.0008107131
        End If
        If optVRatePerMonth.Checked Then
            X = X
        ElseIf optVRatePerDay.Checked Then
            X = X * (365.2422 / 12)
        ElseIf optVRatePerHour.Checked Then
            X = X * (365.2422 / 12) * 24
        End If

        lblVRate0.Text = MyFmt(X)
        lblVRate1.Text = MyFmt(X * 7758.368)
        lblVRate2.Text = MyFmt(X * 43560)
        lblVRate3.Text = MyFmt(X * 7758.368 * 42)
        lblVRate4.Text = MyFmt(X / 0.0000008107131)
        lblVRate5.Text = MyFmt(X / 0.0008107131)
        lblVRate6.Text = MyFmt(X / (365.2422 / 12))
        lblVRate7.Text = MyFmt(X * 7758.368 / (365.2422 / 12))
        lblVRate8.Text = MyFmt(X * 43560 / (365.2422 / 12))
        lblVRate9.Text = MyFmt(X * 7758.368 * 42 / (365.2422 / 12))
        lblVRate10.Text = MyFmt(X / 0.0000008107131 / (365.2422 / 12))
        lblVRate11.Text = MyFmt(X / 0.0008107131 / (365.2422 / 12))
        lblVRate12.Text = MyFmt(X / (365.2422 / 12) / 24)
        lblVRate13.Text = MyFmt(X * 7758.368 / (365.2422 / 12) / 24)
        lblVRate14.Text = MyFmt(X * 43560 / (365.2422 / 12) / 24)
        lblVRate15.Text = MyFmt(X * 7758.368 * 42 / (365.2422 / 12) / 24)
        lblVRate16.Text = MyFmt(X / 0.0000008107131 / (365.2422 / 12) / 24)
        lblVRate17.Text = MyFmt(X / 0.0008107131 / (365.2422 / 12) / 24)
    End Sub

    Private Sub optVRateAcreFeet_CheckedChanged(sender As Object, e As EventArgs) Handles optVRateAcreFeet.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRateBarrel_CheckedChanged(sender As Object, e As EventArgs) Handles optVRateBarrel.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRateFeet3_CheckedChanged(sender As Object, e As EventArgs) Handles optVRateFeet3.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRateGallon_CheckedChanged(sender As Object, e As EventArgs) Handles optVRateGallon.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRateLiter_CheckedChanged(sender As Object, e As EventArgs) Handles optVRateLiter.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRateMeter3_CheckedChanged(sender As Object, e As EventArgs) Handles optVRateMeter3.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub tcMain_Click(sender As Object, e As EventArgs) Handles tcMain.Click
        Dim curTAB As String

        curTAB = Me.tcMain.SelectedTab.Tag

        Select Case curTAB
            Case "VR"
                LabelHide(tpVR, "lblVRate", 17, False)
                Me.txtVRate.Text = "0"
                Me.txtVRate.Focus()
            Case "TOO"
                Me.txtTonOfOilSpGrav.Text = "1.0"
                Me.txtTonOfOil.Text = "0"
                Me.txtTonOfOil.Focus()
                Me.optTonOfOilTon.Checked = True
                LabelHide(tpTOO, "lblTonOfOil", 3, False)
            Case "LEN"
                LabelHide(tpLEN, "lblLength", 8, False)
                Me.txtLength.Text = "0"
                Me.txtLength.Focus()
            Case "AREA"
                LabelHide(tpAREA, "lblArea", 7, False)
                Me.txtArea.Text = "0"
                Me.txtArea.Focus()
            Case "VOL"
                LabelHide(tpVOL, "lblVolume", 8, False)
                Me.txtVolume.Text = "0"
                Me.txtVolume.Focus()
            Case "TIME"
                LabelHide(tpTIME, "lblTime", 6, False)
                Me.txtTime.Text = "0"
                Me.txtTime.Focus()
            Case "TEMP"
                LabelHide(tpTEMP, "lblTemp", 3, False)
                Me.txtTemperature.Text = "0"
                Me.txtTemperature.Focus()
            Case "MASS"
                LabelHide(tpMASS, "lblMass", 9, False)
                Me.txtMass.Text = "0"
                Me.txtMass.Focus()
            Case "PRES"
                LabelHide(tpPRES, "lblPres", 8, False)
                Me.txtPressure.Text = "0"
                Me.txtPressure.Focus()
            Case "DEN"
                LabelHide(tpDEN, "lblDensity", 6, False)
                Me.txtDensity.Text = "0"
                Me.txtDensity.Focus()
            Case "DV"
                LabelHide(tpDV, "lblVis", 6, False)
                Me.txtViscosity.Text = "0"
                Me.txtViscosity.Focus()
            Case "FORCE"
                LabelHide(tpFORCE, "lblForce", 3, False)
                Me.txtForce.Text = "0"
                Me.txtForce.Focus()
            Case "ENERGY"
                LabelHide(tpENERGY, "lblEnergy", 6, False)
                Me.txtEnergy.Text = "0"
                Me.txtEnergy.Focus()
            Case "POWER"
                LabelHide(tpPOWER, "lblPower", 4, False)
                Me.txtPower.Text = "0"
                Me.txtPower.Focus()

        End Select

    End Sub

    Private Sub optVRatePerMonth_CheckedChanged(sender As Object, e As EventArgs) Handles optVRatePerMonth.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRatePerDay_CheckedChanged(sender As Object, e As EventArgs) Handles optVRatePerDay.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optVRatePerHour_CheckedChanged(sender As Object, e As EventArgs) Handles optVRatePerHour.CheckedChanged
        cmdVRateCalculate_Click(sender, e)
    End Sub

    Private Sub optTonOfOilTon_CheckedChanged(sender As Object, e As EventArgs) Handles optTonOfOilTon.CheckedChanged
        cmdTonOfOilCalculate_Click(sender, e)
    End Sub

    Private Sub cmdTonOfOilCalculate_Click(sender As Object, e As EventArgs) Handles cmdTonOfOilCalculate.Click
        Const LbPerTon As Double = 2204.623
        Const h2o As Double = 62.42796  ' 1 gm/cc = 62.42796 lb/ft3
        Dim X As Double
        Dim M As Double
        Dim V As Double
        Dim SG As Double

        LabelHide(tpTOO, "lblTonOfOil", 3, True)

        X = Val(txtTonOfOil.Text)
        txtTonOfOil.Text = Format(X, "General Number")
        SG = Val(txtTonOfOilSpGrav.Text)
        If SG <= 0.0# Then
            MsgBox("Please enter the Specific Gravity of Oil relative to water = 1.0.")
            txtTonOfOilSpGrav.Focus()
            Exit Sub
        End If
        txtTonOfOilSpGrav.Text = Format(SG, "General Number")

        If optTonOfOilTon.Checked Then
            V = X * LbPerTon / h2o / SG
            M = X
        ElseIf optTonOfOilFeet3.Checked Then
            V = X
            M = V * SG * h2o / LbPerTon
        ElseIf optTonOfOilBarrel.Checked Then
            V = X * 42 * 231.0001 / 12 ^ 3
            M = V * SG * h2o / LbPerTon
        ElseIf optTonOfOilMeter3.Checked Then
            V = X * (100 / 2.54 / 12) ^ 3
            M = V * SG * h2o / LbPerTon
        End If

        lblTonOfOil0.Text = MyFmt(M) + "  Tons"
        lblTonOfOil1.Text = MyFmt(V) + "  Feet Cube"
        lblTonOfOil2.Text = MyFmt(V / 42 / 231.0001 * 12 ^ 3) + "  Barrels"
        lblTonOfOil3.Text = MyFmt(V / (100 / 2.54 / 12) ^ 3) + "  Meters Cube"
    End Sub

    Private Sub optTonOfOilFeet3_CheckedChanged(sender As Object, e As EventArgs) Handles optTonOfOilFeet3.CheckedChanged
        cmdTonOfOilCalculate_Click(sender, e)
    End Sub

    Private Sub optTonOfOilBarrel_CheckedChanged(sender As Object, e As EventArgs) Handles optTonOfOilBarrel.CheckedChanged
        cmdTonOfOilCalculate_Click(sender, e)
    End Sub

    Private Sub optTonOfOilMeter3_CheckedChanged(sender As Object, e As EventArgs) Handles optTonOfOilMeter3.CheckedChanged
        cmdTonOfOilCalculate_Click(sender, e)
    End Sub

    Private Sub cmdLengthCalculate_Click(sender As Object, e As EventArgs) Handles cmdLengthCalculate.Click
        Dim X As Double

        LabelHide(tpLEN, "lblLength", 8, True)

        X = Val(txtLength.Text)
        txtLength.Text = Format(X, "General Number")

        If optLengthInch.Checked Then
            X = X
        ElseIf optLengthFoot.Checked Then
            X = X * 12
        ElseIf optLengthYard.Checked Then
            X = X * 36
        ElseIf optLengthMileStatute.Checked Then
            X = X * 12.0# * 5280.0#
        ElseIf optLengthMileNautical.Checked Then
            X = X * 12.0# * 6076.1
        ElseIf optLengthMicron.Checked Then
            X = X / 2.54 / 10000
        ElseIf optLengthCentimeter.Checked Then
            X = X / 2.54
        ElseIf optLengthMeter.Checked Then
            X = X / 2.54 * 100
        ElseIf optLengthKiloMeter.Checked Then
            X = X / 2.54 * 100 * 1000
        End If

        lblLength0.Text = MyFmt(X) + "  Inch"
        lblLength1.Text = MyFmt(X / 12) + "  Feet"
        lblLength2.Text = MyFmt(X / 36) + "  Yard"
        lblLength3.Text = MyFmt(X / 12.0# / 5280) + "  Mile (Statute)"
        lblLength4.Text = MyFmt(X / 12.0# / 6076.1) + "  Mile (Nautical)"
        lblLength5.Text = MyFmt(X * 2.54 * 10000) + "  Micron"
        lblLength6.Text = MyFmt(X * 2.54) + "  Centimeter"
        lblLength7.Text = MyFmt(X * 2.54 / 100) + "  Meter"
        lblLength8.Text = MyFmt(X * 2.54 / 100 / 1000) + "  Kilometer"
    End Sub

    Private Sub optLengthInch_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthInch.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthFoot_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthFoot.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthYard_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthYard.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthMileStatute_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthMileStatute.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthMileNautical_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthMileNautical.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthMicron_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthMicron.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthCentimeter_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthCentimeter.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthMeter_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthMeter.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub optLengthKiloMeter_CheckedChanged(sender As Object, e As EventArgs) Handles optLengthKiloMeter.CheckedChanged
        cmdLengthCalculate_Click(sender, e)
    End Sub

    Private Sub cmdAreaCalculate_Click(sender As Object, e As EventArgs) Handles cmdAreaCalculate.Click
        Dim X As Double

        LabelHide(tpAREA, "lblArea", 7, True)

        X = Val(txtArea.Text)
        txtArea.Text = Format(X, "General Number")

        If optAreaInch2.Checked Then
            X = X
        ElseIf optAreaFoot2.Checked Then
            X = X * 12 * 12
        ElseIf optAreaYard2.Checked Then
            X = X * 36 * 36
        ElseIf optAreaMile2.Checked Then
            X = X * 12.0# * 5280.0# * 12.0# * 5280.0#
        ElseIf optAreaAcre.Checked Then
            X = X * 43560 * 12.0# * 12.0#
        ElseIf optAreaHectare.Checked Then
            X = X / 2.54 * 100 / 2.54 * 100 * 10000.0#
        ElseIf optAreaCentimeter2.Checked Then
            X = X / 2.54 / 2.54
        ElseIf optAreaMeter2.Checked Then
            X = X / 2.54 * 100 / 2.54 * 100
        End If

        lblArea0.Text = MyFmt(X) + "  Inch Sq"
        lblArea1.Text = MyFmt(X / 12 / 12) + "  Foot Sq"
        lblArea2.Text = MyFmt(X / 36 / 36) + "  Yard Sq"
        lblArea3.Text = MyFmt(X / 12.0# / 5280 / 12.0# / 5280) + "  Mile Sq"
        lblArea4.Text = MyFmt(X / 43560.0# / 12.0# / 12.0#) + "  Acre"
        lblArea5.Text = MyFmt(X * 2.54 / 100 * 2.54 / 100 / 10000) + "  Hectare"
        lblArea6.Text = MyFmt(X * 2.54 * 2.54) + "  Centimeter Sq"
        lblArea7.Text = MyFmt(X * 2.54 / 100 * 2.54 / 100) + "  Meter Sq"
    End Sub

    Private Sub optAreaInch2_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaInch2.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaFoot2_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaFoot2.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaYard2_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaYard2.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaMile2_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaMile2.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaAcre_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaAcre.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaHectare_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaHectare.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaCentimeter2_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaCentimeter2.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub optAreaMeter2_CheckedChanged(sender As Object, e As EventArgs) Handles optAreaMeter2.CheckedChanged
        cmdAreaCalculate_Click(sender, e)
    End Sub

    Private Sub cmdVolCalculate_Click(sender As Object, e As EventArgs) Handles cmdVolCalculate.Click
        Dim X As Double

        LabelHide(tpVOL, "lblVolume", 8, True)

        X = Val(txtVolume.Text)
        txtVolume.Text = Format(X, "General Number")

        If optVolInch3.Checked Then
            X = X
        ElseIf optVolFoot3.Checked Then
            X = X * (12) ^ 3
        ElseIf optVolYard3.Checked Then
            X = X * (36) ^ 3
        ElseIf optVolAcreFeet.Checked Then
            X = X * 43560 * (12) ^ 3
        ElseIf optVolBarrel.Checked Then
            X = X * 42 * 231.0001
        ElseIf optVolGallon.Checked Then
            X = X * 231.0001
        ElseIf optVolLiter.Checked Then
            X = X / 1000 * (100 / 2.54) ^ 3
        ElseIf optVolCentimeter3.Checked Then
            X = X / (2.54) ^ 3
        ElseIf optVolMeter3.Checked Then
            X = X * (100 / 2.54) ^ 3
        End If

        lblVolume0.Text = MyFmt(X) + "  Inch Cube"
        lblVolume1.Text = MyFmt(X / (12) ^ 3) + "  Foot Cube"
        lblVolume2.Text = MyFmt(X / (36) ^ 3) + "  Yard Cube"
        lblVolume3.Text = MyFmt(X / 43560 / (12) ^ 3) + "  Acre-Feet"
        lblVolume4.Text = MyFmt(X / 42 / 231.0001) + "  Barrel"
        lblVolume5.Text = MyFmt(X / 231.0001) + "  Gallon (US)"
        lblVolume6.Text = MyFmt(X * 1000 / (100 / 2.54) ^ 3) + "  Liter"
        lblVolume7.Text = MyFmt(X * (2.54) ^ 3) + "  Centimeter Cube"
        lblVolume8.Text = MyFmt(X / (100 / 2.54) ^ 3) + "  Meter Cube"
    End Sub

    Private Sub optVolInch3_CheckedChanged(sender As Object, e As EventArgs) Handles optVolInch3.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolFoot3_CheckedChanged(sender As Object, e As EventArgs) Handles optVolFoot3.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolYard3_CheckedChanged(sender As Object, e As EventArgs) Handles optVolYard3.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolAcreFeet_CheckedChanged(sender As Object, e As EventArgs) Handles optVolAcreFeet.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolBarrel_CheckedChanged(sender As Object, e As EventArgs) Handles optVolBarrel.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolGallon_CheckedChanged(sender As Object, e As EventArgs) Handles optVolGallon.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolLiter_CheckedChanged(sender As Object, e As EventArgs) Handles optVolLiter.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolCentimeter3_CheckedChanged(sender As Object, e As EventArgs) Handles optVolCentimeter3.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub optVolMeter3_CheckedChanged(sender As Object, e As EventArgs) Handles optVolMeter3.CheckedChanged
        cmdVolCalculate_Click(sender, e)
    End Sub

    Private Sub cmdTimeCalculate_Click(sender As Object, e As EventArgs) Handles cmdTimeCalculate.Click
        Dim X As Double

        LabelHide(tpTIME, "lblTime", 6, True)

        X = Val(txtTime.Text)
        txtTime.Text = Format(X, "General Number")

        If optTimeSeconds.Checked Then
            X = X
        ElseIf optTimeMinutes.Checked Then
            X = X * 60
        ElseIf optTimeHours.Checked Then
            X = X * 3600
        ElseIf optTimeDays.Checked Then
            X = X * 3600 * 24
        ElseIf optTimeWeeks.Checked Then
            X = X * 3600 * 24 * 7
        ElseIf optTimeMonths.Checked Then
            X = X * 3600 * 24 * (365.2422 / 12)
        ElseIf optTimeYears.Checked Then
            X = X * 3600 * 24 * 365.2422
        End If

        lblTime0.Text = MyFmt(X) + "  Seconds"
        lblTime1.Text = MyFmt(X / 60) + "  Minutes"
        lblTime2.Text = MyFmt(X / 3600) + "  Hours"
        lblTime3.Text = MyFmt(X / 3600 / 24) + "  Days"
        lblTime4.Text = MyFmt(X / 3600 / 24 / 7) + "  Weeks"
        lblTime5.Text = MyFmt(X / 3600 / 24 / (365.2422 / 12)) + "  Months"
        lblTime6.Text = MyFmt(X / 3600 / 24 / 365.2422) + "  Years"
    End Sub

    Private Sub optTimeSeconds_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeSeconds.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub optTimeMinutes_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeMinutes.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub optTimeHours_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeHours.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub optTimeDays_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeDays.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub optTimeWeeks_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeWeeks.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub optTimeMonths_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeMonths.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub optTimeYears_CheckedChanged(sender As Object, e As EventArgs) Handles optTimeYears.CheckedChanged
        cmdTimeCalculate_Click(sender, e)
    End Sub

    Private Sub cmdTempCalculate_Click(sender As Object, e As EventArgs) Handles cmdTempCalculate.Click
        Dim X As Double
        Dim R As Double
        Dim K As Double

        LabelHide(tpTEMP, "lblTemp", 3, True)

        X = Val(txtTemperature.Text)
        txtTemperature.Text = Format(X, "General Number")

        If optTempF.Checked Then
            R = X + 459.67
            K = (X - 32) / 1.8 + 273.15
        ElseIf optTempR.Checked Then
            R = X
            K = X / 1.8
        ElseIf optTempC.Checked Then
            R = X * 1.8 + 32 + 459.67
            K = X + 273.15
        ElseIf optTempK.Checked Then
            R = X * 1.8
            K = X
        End If

        lblTemp0.Text = MyFmt(R - 459.67) + "  Degrees Fahrenheit"
        lblTemp1.Text = MyFmt(R) + "  Degrees Rankine"
        lblTemp2.Text = MyFmt(K - 273.15) + "  Degrees Celsius"
        lblTemp3.Text = MyFmt(K) + "  Degrees Kelvin"
    End Sub

    Private Sub optTempF_CheckedChanged(sender As Object, e As EventArgs) Handles optTempF.CheckedChanged
        cmdTempCalculate_Click(sender, e)
    End Sub

    Private Sub optTempR_CheckedChanged(sender As Object, e As EventArgs) Handles optTempR.CheckedChanged
        cmdTempCalculate_Click(sender, e)
    End Sub

    Private Sub optTempC_CheckedChanged(sender As Object, e As EventArgs) Handles optTempC.CheckedChanged
        cmdTempCalculate_Click(sender, e)
    End Sub

    Private Sub optTempK_CheckedChanged(sender As Object, e As EventArgs) Handles optTempK.CheckedChanged
        cmdTempCalculate_Click(sender, e)
    End Sub

    Private Sub cmdMassCalculate_Click(sender As Object, e As EventArgs) Handles cmdMassCalculate.Click
        Dim X As Double

        LabelHide(tpMASS, "lblMass", 9, True)

        X = Val(txtMass.Text)
        txtMass.Text = Format(X, "General Number")

        If optMassOunceA.Checked Then
        ElseIf optMassPoundA.Checked Then
            X = X * 16
        ElseIf optMassOunceT.Checked Then
            X = X / 12 * 5760 / 7000 * 16
        ElseIf optMassPoundT.Checked Then
            X = X * 5760 / 7000 * 16
        ElseIf optMassGrain.Checked Then
            X = X / 437.5
        ElseIf optMassTonS.Checked Then
            X = X * 2000 * 16
        ElseIf optMassTonL.Checked Then
            X = X * 2240 * 16
        ElseIf optMassTonM.Checked Then
            X = X * 35.27396 * 1000
        ElseIf optMassGram.Checked Then
            X = X * 35.27396 / 1000
        ElseIf optMassKilogram.Checked Then
            X = X * 35.27396
        End If

        lblMass0.Text = MyFmt(X) + "  Ounce (avoirdupois)"
        lblMass1.Text = MyFmt(X / 16) + "  Pound (avoirdupois)"
        lblMass2.Text = MyFmt(X * 12 / 5760 * 7000 / 16) + "  Ounce (troy)"
        lblMass3.Text = MyFmt(X / 5760 * 7000 / 16) + "  Pound (troy)"
        lblMass4.Text = MyFmt(X * 437.5) + "  Grain"
        lblMass5.Text = MyFmt(X / 2000 / 16) + "  Ton (US short)"
        lblMass6.Text = MyFmt(X / 2240 / 16) + "  Ton (UK long)"
        lblMass7.Text = MyFmt(X / 35.27396 / 1000) + "  Tonne (metric)"
        lblMass8.Text = MyFmt(X / 35.27396 * 1000) + "  Gram"
        lblMass9.Text = MyFmt(X / 35.27396) + "  kilogram"
    End Sub

    Private Sub optMassOunceA_CheckedChanged(sender As Object, e As EventArgs) Handles optMassOunceA.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassPoundA_CheckedChanged(sender As Object, e As EventArgs) Handles optMassPoundA.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassOunceT_CheckedChanged(sender As Object, e As EventArgs) Handles optMassOunceT.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassPoundT_CheckedChanged(sender As Object, e As EventArgs) Handles optMassPoundT.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassGrain_CheckedChanged(sender As Object, e As EventArgs) Handles optMassGrain.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassTonS_CheckedChanged(sender As Object, e As EventArgs) Handles optMassTonS.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassTonL_CheckedChanged(sender As Object, e As EventArgs) Handles optMassTonL.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassTonM_CheckedChanged(sender As Object, e As EventArgs) Handles optMassTonM.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassGram_CheckedChanged(sender As Object, e As EventArgs) Handles optMassGram.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub optMassKilogram_CheckedChanged(sender As Object, e As EventArgs) Handles optMassKilogram.CheckedChanged
        cmdMassCalculate_Click(sender, e)
    End Sub

    Private Sub cmdPresCalculate_Click(sender As Object, e As EventArgs) Handles cmdPresCalculate.Click
        Dim X As Double

        LabelHide(tpPRES, "lblPres", 8, True)

        X = Val(txtPressure.Text)
        txtPressure.Text = Format(X, "General Number")

        If optPresPSI.Checked Then
        ElseIf optPresPascal.Checked Then
            X = X / 6894.757
        ElseIf optPresAtmosphere.Checked Then
            X = X * 14.696
        ElseIf optPresBar.Checked Then
            X = X / 0.06894757
        ElseIf optPresFeetH2O.Checked Then
            X = X * 0.4335156
        ElseIf optPresMMHg.Checked Then
            X = X / 760 * 14.696
        ElseIf optPresInchHg.Checked Then
            X = X / 29.92126 * 14.696
        ElseIf optPresDynePerCmSq.Checked Then
            X = X / 68947.57
        ElseIf optPresKGPerCmSq.Checked Then
            X = X / 0.070306950000000007
        End If
        '2.036011388
        lblPres0.Text = MyFmt(X) + "  PSI"
        lblPres1.Text = MyFmt(X * 6894.757) + "  Pascal"
        lblPres2.Text = MyFmt(X / 14.695950254) + "  Atmosphere"
        lblPres3.Text = MyFmt(X * 0.06894757) + "  Bar"
        lblPres4.Text = MyFmt(X / 0.4335275458) + "  Feet of H2O @ 4 Deg C"
        lblPres5.Text = MyFmt(X * 51.7149252) + "  mm of Hg @ 0 Deg C"
        lblPres6.Text = MyFmt(X * 2.036020408) + "  Inch of Hg @ 0 Deg C"
        lblPres7.Text = MyFmt(X * 68947.57) + "  Dyne / Centimeter Sq"
        lblPres8.Text = MyFmt(X * 0.070306950000000007) + "  kilogram / Centimeter Sq"
    End Sub

    Private Sub optPresPSI_CheckedChanged(sender As Object, e As EventArgs) Handles optPresPSI.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresPascal_CheckedChanged(sender As Object, e As EventArgs) Handles optPresPascal.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresAtmosphere_CheckedChanged(sender As Object, e As EventArgs) Handles optPresAtmosphere.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresBar_CheckedChanged(sender As Object, e As EventArgs) Handles optPresBar.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresFeetH2O_CheckedChanged(sender As Object, e As EventArgs) Handles optPresFeetH2O.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresMMHg_CheckedChanged(sender As Object, e As EventArgs) Handles optPresMMHg.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresInchHg_CheckedChanged(sender As Object, e As EventArgs) Handles optPresInchHg.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresDynePerCmSq_CheckedChanged(sender As Object, e As EventArgs) Handles optPresDynePerCmSq.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub optPresKGPerCmSq_CheckedChanged(sender As Object, e As EventArgs) Handles optPresKGPerCmSq.CheckedChanged
        cmdPresCalculate_Click(sender, e)
    End Sub

    Private Sub cmdDenCalculate_Click(sender As Object, e As EventArgs) Handles cmdDenCalculate.Click
        Dim X As Double

        LabelHide(tpDEN, "lblDensity", 6, True)

        X = Val(txtDensity.Text)
        txtDensity.Text = Format(X, "General Number")
        If optDenPoundPerInch3.Checked Then
        ElseIf optDenPoundPerFoot3.Checked Then
            X = X / (12) ^ 3
        ElseIf optDenPoundPerGallon.Checked Then
            X = X / 231.0001
        ElseIf optDenPoundPerBarrel.Checked Then
            X = X / 42 / 231.0001
        ElseIf optDenGmPerCm3.Checked Then
            X = X * 0.0022046225 * (2.54) ^ 3
        ElseIf optDenKgPerM3.Checked Then
            X = X * 2.2046225 * (2.54 / 100) ^ 3
        ElseIf optDenDegAPI.Checked Then
            If (X + 131.5) = 0.0# Then
                X = 1.0E+20
            Else
                X = 141.5 / (X + 131.5) * 0.0022046225 * (2.54) ^ 3
            End If
        End If

        lblDensity0.Text = MyFmt(X) + "  Pound / Inch Cube"
        lblDensity1.Text = MyFmt(X * (12) ^ 3) + "  Pound / Foot Cube"
        lblDensity2.Text = MyFmt(X * 231.0001) + "  Pound / Gallon"
        lblDensity3.Text = MyFmt(X * 231.0001 * 42) + "  Pound / Barrel"
        lblDensity4.Text = MyFmt(X / 0.0022046225 / (2.54) ^ 3) + "  Gram / Centimeter Cube"
        lblDensity5.Text = MyFmt(X / 2.2046225 / (2.54 / 100) ^ 3) + "  Kilogram / Meter Cube"
        If X = 0.0# Then
            lblDensity6.Text = " "
        Else
            lblDensity6.Text = MyFmt(141.5 * 0.0022046225 * (2.54) ^ 3 / X - 131.5) + "  Deg API"
        End If
    End Sub

    Private Sub optDenPoundPerInch3_CheckedChanged(sender As Object, e As EventArgs) Handles optDenPoundPerInch3.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub optDenPoundPerFoot3_CheckedChanged(sender As Object, e As EventArgs) Handles optDenPoundPerFoot3.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub optDenPoundPerGallon_CheckedChanged(sender As Object, e As EventArgs) Handles optDenPoundPerGallon.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub optDenPoundPerBarrel_CheckedChanged(sender As Object, e As EventArgs) Handles optDenPoundPerBarrel.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub optDenGmPerCm3_CheckedChanged(sender As Object, e As EventArgs) Handles optDenGmPerCm3.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub optDenKgPerM3_CheckedChanged(sender As Object, e As EventArgs) Handles optDenKgPerM3.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub optDenDegAPI_CheckedChanged(sender As Object, e As EventArgs) Handles optDenDegAPI.CheckedChanged
        cmdDenCalculate_Click(sender, e)
    End Sub

    Private Sub cmdVisCalculate_Click(sender As Object, e As EventArgs) Handles cmdVisCalculate.Click
        Dim X As Double

        LabelHide(tpDV, "lblVis", 6, True)

        X = Val(txtViscosity.Text)
        txtViscosity.Text = Format(X, "General Number")
        If optVisCentipoise.Checked Then
            X = X
        ElseIf optVisCentistoke.Checked Then
            X = X
        ElseIf optVisPascalSecond.Checked Then
            X = X * 1000
        ElseIf optVisDyneSecPerCm2.Checked Then
            X = X * 0.1 * 1000
        ElseIf optVisPoundMassPerFootSecond.Checked Then
            X = X * 0.0004133789 * 3600 * 1000
        ElseIf optVisPoundMassPerFootHour.Checked Then
            X = X * 0.0004133789 * 1000
        ElseIf optVisPoundForceSecondPerFoot2.Checked Then
            X = X * 47.88026 * 1000
        End If

        lblVis0.Text = MyFmt(X) + "  CentiPoise"
        lblVis1.Text = MyFmt(X) + "  Centistoke-gram/cm Cube"
        lblVis2.Text = MyFmt(X / 1000) + "  Pascal-Second"
        lblVis3.Text = MyFmt(X / 0.1 / 1000) + "  Dyne-Sec / cm Sq"
        lblVis4.Text = MyFmt(X / 0.0004133789 / 3600 / 1000) + "  PoundM / (Foot-Sec)"
        lblVis5.Text = MyFmt(X / 0.0004133789 / 1000) + "  PoundM / (Foot-Hour)"
        lblVis6.Text = MyFmt(X / 47.88026 / 1000) + "  PoundF-Sec / Foot Sq"
    End Sub

    Private Sub optVisCentipoise_CheckedChanged(sender As Object, e As EventArgs) Handles optVisCentipoise.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub optVisCentistoke_CheckedChanged(sender As Object, e As EventArgs) Handles optVisCentistoke.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub optVisPascalSecond_CheckedChanged(sender As Object, e As EventArgs) Handles optVisPascalSecond.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub optVisDyneSecPerCm2_CheckedChanged(sender As Object, e As EventArgs) Handles optVisDyneSecPerCm2.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub optVisPoundMassPerFootSecond_CheckedChanged(sender As Object, e As EventArgs) Handles optVisPoundMassPerFootSecond.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub optVisPoundMassPerFootHour_CheckedChanged(sender As Object, e As EventArgs) Handles optVisPoundMassPerFootHour.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub optVisPoundForceSecondPerFoot2_CheckedChanged(sender As Object, e As EventArgs) Handles optVisPoundForceSecondPerFoot2.CheckedChanged
        cmdVisCalculate_Click(sender, e)
    End Sub

    Private Sub cmdForceCalculate_Click(sender As Object, e As EventArgs) Handles cmdForceCalculate.Click
        Dim X As Double

        LabelHide(tpFORCE, "lblForce", 3, True)

        X = Val(txtForce.Text)
        txtForce.Text = Format(X, "General Number")
        If optForcePound.Checked Then
        ElseIf optForceKilogram.Checked Then
            X = X / 0.4535924
        ElseIf optForceDyne.Checked Then
            X = X / 444822.2
        ElseIf optForceNewton.Checked Then
            X = X / 4.448222
        End If

        lblForce0.Text = MyFmt(X) + "  PoundForce"
        lblForce1.Text = MyFmt(X * 0.4535924) + "  KilogramForce"
        lblForce2.Text = MyFmt(X * 444822.2) + "  Dyne"
        lblForce3.Text = MyFmt(X * 4.448222) + "  Newton"
    End Sub

    Private Sub optForcePound_CheckedChanged(sender As Object, e As EventArgs) Handles optForcePound.CheckedChanged
        cmdForceCalculate_Click(sender, e)
    End Sub

    Private Sub optForceKilogram_CheckedChanged(sender As Object, e As EventArgs) Handles optForceKilogram.CheckedChanged
        cmdForceCalculate_Click(sender, e)
    End Sub

    Private Sub optForceDyne_CheckedChanged(sender As Object, e As EventArgs) Handles optForceDyne.CheckedChanged
        cmdForceCalculate_Click(sender, e)
    End Sub

    Private Sub optForceNewton_CheckedChanged(sender As Object, e As EventArgs) Handles optForceNewton.CheckedChanged
        cmdForceCalculate_Click(sender, e)
    End Sub

    Private Sub cmdEnergyCalculate_Click(sender As Object, e As EventArgs) Handles cmdEnergyCalculate.Click
        Dim X As Double

        LabelHide(tpENERGY, "lblEnergy", 6, True)

        X = Val(txtEnergy.Text)
        txtEnergy.Text = Format(X, "General Number")
        If optEnergyBtu.Checked Then
            X = X * 1055.056
        ElseIf optEnergyHPHour.Checked Then
            X = X * 2684520.0#
        ElseIf optEnergyKilowattHour.Checked Then
            '        X = X * 3600
            X = X * 3600000
        ElseIf optEnergyErg.Checked Then
            X = X * 0.0000001
            '        X = X * 0.0001
        ElseIf optEnergyJoule.Checked Then
            X = X
        ElseIf optEnergyKCal.Checked Then
            X = X * 4184.0#
        ElseIf optEnergyFootPound.Checked Then
            X = X * 1.355818
        End If

        lblEnergy0.Text = MyFmt(X / 1055.056) + "  Btu"
        lblEnergy1.Text = MyFmt(X / 2684520.0#) + "  Horsepower-Hour"
        lblEnergy2.Text = MyFmt(X / 3599986.378784) + "  Kilowatt-Hour"
        lblEnergy3.Text = MyFmt(X / 0.0000001) + "  Erg"
        lblEnergy4.Text = MyFmt(X) + "  Joule"
        lblEnergy5.Text = MyFmt(X / 4186.7833242) + "  Kilocalorie"
        lblEnergy6.Text = MyFmt(X / 1.3557753865) + "  Foot-PoundF"
    End Sub

    Private Sub optEnergyBtu_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyBtu.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub optEnergyHPHour_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyHPHour.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub optEnergyKilowattHour_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyKilowattHour.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub optEnergyErg_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyErg.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub optEnergyJoule_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyJoule.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub optEnergyKCal_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyKCal.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub optEnergyFootPound_CheckedChanged(sender As Object, e As EventArgs) Handles optEnergyFootPound.CheckedChanged
        cmdEnergyCalculate_Click(sender, e)
    End Sub

    Private Sub cmdPowerCalculate_Click(sender As Object, e As EventArgs) Handles cmdPowerCalculate.Click
        Dim X As Double

        LabelHide(tpPOWER, "lblPower", 4, True)

        X = Val(txtPower.Text)
        txtPower.Text = Format(X, "General Number")
        If optPowerKW.Checked Then
        ElseIf optPowerHP.Checked Then
            X = X * 0.7456999
        ElseIf optPowerHPElectric.Checked Then
            X = X * 0.746
        ElseIf optPowerBtuPerHour.Checked Then
            X = X * 0.0002930711
        ElseIf optPowerTonOfRef.Checked Then
            '        X = X * 3.516853
            X = X * 3.5168668936
        End If

        lblPower0.Text = MyFmt(X) + "  Kilowatt"
        lblPower1.Text = MyFmt(X / 0.7456999) + "  Horsepower Hydraulic"
        lblPower2.Text = MyFmt(X / 0.746) + "  Horsepower (electric)"
        lblPower3.Text = MyFmt(X / 0.0002930722411) + "  Btu / Hour"
        lblPower4.Text = MyFmt(X / 3.5168668936) + "  Ton of Refrigeration"
    End Sub

    Private Sub optPowerKW_CheckedChanged(sender As Object, e As EventArgs) Handles optPowerKW.CheckedChanged
        cmdPowerCalculate_Click(sender, e)
    End Sub

    Private Sub optPowerHP_CheckedChanged(sender As Object, e As EventArgs) Handles optPowerHP.CheckedChanged
        cmdPowerCalculate_Click(sender, e)
    End Sub

    Private Sub optPowerHPElectric_CheckedChanged(sender As Object, e As EventArgs) Handles optPowerHPElectric.CheckedChanged
        cmdPowerCalculate_Click(sender, e)
    End Sub

    Private Sub optPowerBtuPerHour_CheckedChanged(sender As Object, e As EventArgs) Handles optPowerBtuPerHour.CheckedChanged
        cmdPowerCalculate_Click(sender, e)
    End Sub

    Private Sub optPowerTonOfRef_CheckedChanged(sender As Object, e As EventArgs) Handles optPowerTonOfRef.CheckedChanged
        cmdPowerCalculate_Click(sender, e)
    End Sub

    Private Sub frmMain_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        NextScreen = True
    End Sub

    Private Sub frmMain_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Private Sub lblLength7_Click(sender As Object, e As EventArgs) Handles lblLength7.Click

    End Sub

    Private Sub AboutMHAConVertToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles AboutMHAConVertToolStripMenuItem.Click
        frmAbout.ShowDialog()
    End Sub

    Private Sub cmdClose_Click(sender As Object, e As EventArgs) Handles cmdClose.Click
        Me.Close()
    End Sub

End Class
